lua-luaossl-dev_20161214-1_i386.deb


Advertisement

Description

lua-luaossl-dev - OpenSSL bindings for Lua (development package)

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename lua-luaossl-dev_20161214-1_i386.deb
Package name lua-luaossl-dev
Package version 20161214
Package release 1
Package architecture i386
Package type deb
Category interpreters
Homepage http://25thandclement.com/~william/projects/luaossl.html
License -
Maintainer Ondřej Surý <ondrej@debian.org>
Download size 361.96 KB
Installed size 850.00 KB
luaossl is a comprehensive binding to OpenSSL for Lua 5.1, 5.2, and
later.
This package contains development files.

Alternatives

Package Version Architecture Repository
lua-luaossl-dev_20161214-1_amd64.deb 20161214 amd64 Debian Main
lua-luaossl-dev - - -

Requires

Name Value
lua-luaossl -

Provides

Name Value
lua5.1-luaossl-dev -
lua5.2-luaossl-dev -
lua5.3-luaossl-dev -

Replaces

Name Value
lua-openssl-dev << 20161208-2~

Download

Type URL
Mirror ftp.br.debian.org
Binary Package lua-luaossl-dev_20161214-1_i386.deb
Source Package lua-luaossl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install lua-luaossl-dev deb package:
    # sudo apt-get install lua-luaossl-dev

Files

Path
/usr/include/lua5.1/lua-luaossl.h
/usr/include/lua5.2/lua-luaossl.h
/usr/include/lua5.3/lua-luaossl.h
/usr/lib/i386-linux-gnu/liblua5.1-luaossl.a
/usr/lib/i386-linux-gnu/liblua5.1-luaossl.so
/usr/lib/i386-linux-gnu/liblua5.2-luaossl.a
/usr/lib/i386-linux-gnu/liblua5.2-luaossl.so
/usr/lib/i386-linux-gnu/liblua5.3-luaossl.a
/usr/lib/i386-linux-gnu/liblua5.3-luaossl.so
/usr/lib/i386-linux-gnu/pkgconfig/lua5.1-luaossl.pc
/usr/lib/i386-linux-gnu/pkgconfig/lua5.2-luaossl.pc
/usr/lib/i386-linux-gnu/pkgconfig/lua5.3-luaossl.pc
/usr/share/doc/lua-luaossl-dev/changelog.Debian.gz
/usr/share/doc/lua-luaossl-dev/copyright
/usr/share/doc/lua-luaossl-dev/luaossl.pdf.gz
/usr/share/doc/lua-luaossl-dev/examples/lm.hash
/usr/share/doc/lua-luaossl-dev/examples/pkey.info
/usr/share/doc/lua-luaossl-dev/examples/self.x509
/usr/share/doc/lua-luaossl-dev/examples/vrfy.sig

Changelog

2016-12-15 - Ondřej Surý <ondrej@debian.org>
lua-luaossl (20161214-1) unstable; urgency=medium
* Imported Upstream version 20161214
2016-12-13 - Ondřej Surý <ondrej@debian.org>
lua-luaossl (20161208-3) unstable; urgency=medium
* Add CPPFLAGS from upstream GNUmakefile and some more
* Add Lua 5.3 bindings
2016-12-13 - Ondřej Surý <ondrej@debian.org>
lua-luaossl (20161208-2) unstable; urgency=low
* Rename the package to match upstream name (luaossl)
2016-12-13 - Ondřej Surý <ondrej@debian.org>
lua-openssl (20161208-1) unstable; urgency=medium
* Imported Upstream version 20161208
* Fixup description to contain luaossl description
2016-10-31 - Ondřej Surý <ondrej@debian.org>
lua-openssl (20161029-1-g8caed30-1) unstable; urgency=medium
* Imported Upstream version 20161029-1-g8caed30
+ OpenSSL 1.1.0 support (Closes: #835786)
* Remove arc4random patch as it was merged upstream
2016-08-30 - Ondřej Surý <ondrej@debian.org>
lua-openssl (20151221-3) unstable; urgency=medium
* Use arc4random()/getrandom() to get random bytes instead of sysctl()
interface (Closes: #831333)
2016-07-13 - Ondřej Surý <ondrej@debian.org>
lua-openssl (20151221-2) unstable; urgency=medium
* Use correct Vcs-Browser URL
2016-07-12 - Ondřej Surý <ondrej@debian.org>
lua-openssl (20151221-1) unstable; urgency=low
* Initial release.

See Also

Package Description
lua-luaossl_20161214-1_i386.deb OpenSSL bindings for Lua
lua-luassert_1.7.10-1_all.deb Lua assertions extension
lua-luv-dev_1.9.1-0-2_i386.deb libuv bindings for lua
lua-luv_1.9.1-0-2_i386.deb libuv bindings for lua
lua-luxio-doc_13-1_all.deb Documentation for lua-luxio
lua-luxio0_13-1_all.deb Posix bindings for Lua (transitional package)
lua-luxio_13-1_i386.deb Posix bindings for Lua
lua-lxc_3.0.2-1_i386.deb Linux Containers userspace tools (Lua bindings)
lua-markdown_0.32-5_all.deb Pure Lua 5.1 implementation of the Markdown text-to-html markup
lua-md5-dev_1.2+git+1+8d87fee-1.1_i386.deb MD5 library for the Lua language
lua-md5_1.2+git+1+8d87fee-1.1_i386.deb MD5 library for the Lua language
lua-mediator_1.1.2-0-2_all.deb Mediator pattern implementation in Lua
lua-messagepack_0.5.1-1_all.deb pure Lua implementation of MessagePack
lua-mmdb_0.1-1_all.deb IP geolocation library for Lua
lua-mode_20151025-3_all.deb Emacs mode for editing Lua programs -- transitional package
Advertisement
Advertisement